Residence API (1.0)

Download OpenAPI specification:Download

The Residence REST API is designed to have predictable URLs and to use HTTP response codes to indicate API errors. JSON will be returned in all responses from the API, excluding errors which will be returned in HTML.

API Call Limits

Rate limiting of the API is on a per-token basis. There are two effective rate limiters:

  • 100 calls with a leak rate of 10 calls per second. If your app averages up to 10 calls per second it will never receive a "429 Rate Limit Exceeded Error".
  • 10,000 calls for a period of 24 hours, which will reset at midnight.

All responses will include 3 rate limiting headers:

  • X-Rate-Limit-Limit: Total rate limit for all calls in a day
  • X-Rate-Limit-Remaining: The number of requests left for the day
  • X-Rate-Limit-Reset: Time before the rate limit resets in UTC

Authentication

Authentication for the API server uses HTTP Basic authentication. All routes require authentication.

Restrictions

Only third party companies who are official Partners within the Symplicity Partner Program can access API(s).

Applications

Manage application records

List Applications

Returns a list of applications.

Authorizations:
basicAuth
query Parameters
keyword
string

Search by resident schoolStudentId, username, fullname, and email

page
integer
Default: 1

Page number of the collection

perPage
integer <= 500
Default: 20

Maximum number of records to return, up to 500

sort
string

Name of field to sort by in ascending order. Prepend ! to field name for descending sort.

customFields
integer
Enum: 0 1

When set to 1, returns custom field/values in addition to standard fields

name
string

Filter results by the applicationSetup label

term
string

Filter results by the applicationSetup term name/code

Responses

Response samples

Content type
application/json
{
  • "page": 1,
  • "perPage": 20,
  • "total": 100,
  • "className": "string",
  • "models": [
    ]
}

Create Application

Create a new application.

Authorizations:
basicAuth
Request Body schema: application/json
required
id
string
label
string
object (ApplicantRelationObject)
object (MatchingProfileRelationObject)

Matching profile with dynamic custom fields

Array of objects (PickValue)
object (CodeRelationObject)

Represents a coded relation. On GET, returns id, label, and code. On POST/PUT, pass an object with the id key: {"id": "abc123"}

object (PickValue)

Represents a picklist selection. On GET, returns id and label. On POST/PUT, pass only the id as a plain string (not an object). Example write: "pending" (not {"id": "pending"})

object (PickValue)

Represents a picklist selection. On GET, returns id and label. On POST/PUT, pass only the id as a plain string (not an object). Example write: "pending" (not {"id": "pending"})

submissionDate
string <date>
object (ApplicationSetupRelationObject)
archived
boolean

Responses

Request samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "applicant": {
    },
  • "matchingProfile": {
    },
  • "buildingPreferences": [
    ],
  • "mealPlan": {
    },
  • "termsAgreed": {
    },
  • "status": {
    },
  • "submissionDate": "2019-08-24",
  • "applicationSetup": {
    },
  • "archived": true
}

Response samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "applicant": {
    },
  • "matchingProfile": {
    },
  • "buildingPreferences": [
    ],
  • "mealPlan": {
    },
  • "termsAgreed": {
    },
  • "status": {
    },
  • "submissionDate": "2019-08-24",
  • "applicationSetup": {
    },
  • "archived": true
}

Get Application

Return information for a single application.

Authorizations:
basicAuth
path Parameters
id
required
string

ID of the requested application

Responses

Response samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "applicant": {
    },
  • "matchingProfile": {
    },
  • "buildingPreferences": [
    ],
  • "mealPlan": {
    },
  • "termsAgreed": {
    },
  • "status": {
    },
  • "submissionDate": "2019-08-24",
  • "applicationSetup": {
    },
  • "archived": true
}

Update Application

Update an existing application.

Authorizations:
basicAuth
path Parameters
id
required
string

ID of the application to update

Request Body schema: application/json
required
id
string
label
string
object (ApplicantRelationObject)
object (MatchingProfileRelationObject)

Matching profile with dynamic custom fields

Array of objects (PickValue)
object (CodeRelationObject)

Represents a coded relation. On GET, returns id, label, and code. On POST/PUT, pass an object with the id key: {"id": "abc123"}

object (PickValue)

Represents a picklist selection. On GET, returns id and label. On POST/PUT, pass only the id as a plain string (not an object). Example write: "pending" (not {"id": "pending"})

object (PickValue)

Represents a picklist selection. On GET, returns id and label. On POST/PUT, pass only the id as a plain string (not an object). Example write: "pending" (not {"id": "pending"})

submissionDate
string <date>
object (ApplicationSetupRelationObject)
archived
boolean

Responses

Request samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "applicant": {
    },
  • "matchingProfile": {
    },
  • "buildingPreferences": [
    ],
  • "mealPlan": {
    },
  • "termsAgreed": {
    },
  • "status": {
    },
  • "submissionDate": "2019-08-24",
  • "applicationSetup": {
    },
  • "archived": true
}

Response samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "applicant": {
    },
  • "matchingProfile": {
    },
  • "buildingPreferences": [
    ],
  • "mealPlan": {
    },
  • "termsAgreed": {
    },
  • "status": {
    },
  • "submissionDate": "2019-08-24",
  • "applicationSetup": {
    },
  • "archived": true
}

Charges

Manage charge records

List Charges

Returns a list of charges.

Authorizations:
basicAuth
query Parameters
keyword
string

Search by label, invoice number, cost, type, resident fullname/email/schoolStudentId, or term name/code

page
integer
Default: 1

Page number of the collection

perPage
integer <= 500
Default: 20

Maximum number of records to return, up to 500

sort
string

Name of field to sort by in ascending order. Prepend ! to field name for descending sort.

chargeCode
string

Filter results by the code field (searches on both label and code)

Responses

Response samples

Content type
application/json
{
  • "page": 1,
  • "perPage": 20,
  • "total": 100,
  • "className": "string",
  • "models": [
    ]
}

Create Charge

Create a new charge.

Authorizations:
basicAuth
Request Body schema: application/json
required
id
string
label
string
object (ResidentRelationObject)
object (PickValue)

Represents a picklist selection. On GET, returns id and label. On POST/PUT, pass only the id as a plain string (not an object). Example write: "pending" (not {"id": "pending"})

description
string
object (CodeRelationObject)

Represents a coded relation. On GET, returns id, label, and code. On POST/PUT, pass an object with the id key: {"id": "abc123"}

object (CodeRelationObject)

Represents a coded relation. On GET, returns id, label, and code. On POST/PUT, pass an object with the id key: {"id": "abc123"}

cost
string

Charge amount

chargeDate
string <date>
taxable
boolean
voided
boolean
object (PickValue)

Represents a picklist selection. On GET, returns id and label. On POST/PUT, pass only the id as a plain string (not an object). Example write: "pending" (not {"id": "pending"})

object (InvoiceRelationObject)
Array of objects (CodeRelationObject)
archived
boolean

Responses

Request samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "resident": {
    },
  • "type": {
    },
  • "description": "string",
  • "code": {
    },
  • "term": {
    },
  • "cost": "string",
  • "chargeDate": "2019-08-24",
  • "taxable": true,
  • "voided": true,
  • "status": {
    },
  • "invoice": {
    },
  • "accounts": [
    ],
  • "archived": true
}

Response samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "resident": {
    },
  • "type": {
    },
  • "description": "string",
  • "code": {
    },
  • "term": {
    },
  • "cost": "string",
  • "chargeDate": "2019-08-24",
  • "taxable": true,
  • "voided": true,
  • "status": {
    },
  • "invoice": {
    },
  • "accounts": [
    ],
  • "archived": true
}

Get Charge

Return information for a single charge.

Authorizations:
basicAuth
path Parameters
id
required
string

ID of the requested charge

Responses

Response samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "resident": {
    },
  • "type": {
    },
  • "description": "string",
  • "code": {
    },
  • "term": {
    },
  • "cost": "string",
  • "chargeDate": "2019-08-24",
  • "taxable": true,
  • "voided": true,
  • "status": {
    },
  • "invoice": {
    },
  • "accounts": [
    ],
  • "archived": true
}

Update Charge

Update an existing charge.

Authorizations:
basicAuth
path Parameters
id
required
string

ID of the charge to update

Request Body schema: application/json
required
id
string
label
string
object (ResidentRelationObject)
object (PickValue)

Represents a picklist selection. On GET, returns id and label. On POST/PUT, pass only the id as a plain string (not an object). Example write: "pending" (not {"id": "pending"})

description
string
object (CodeRelationObject)

Represents a coded relation. On GET, returns id, label, and code. On POST/PUT, pass an object with the id key: {"id": "abc123"}

object (CodeRelationObject)

Represents a coded relation. On GET, returns id, label, and code. On POST/PUT, pass an object with the id key: {"id": "abc123"}

cost
string

Charge amount

chargeDate
string <date>
taxable
boolean
voided
boolean
object (PickValue)

Represents a picklist selection. On GET, returns id and label. On POST/PUT, pass only the id as a plain string (not an object). Example write: "pending" (not {"id": "pending"})

object (InvoiceRelationObject)
Array of objects (CodeRelationObject)
archived
boolean

Responses

Request samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "resident": {
    },
  • "type": {
    },
  • "description": "string",
  • "code": {
    },
  • "term": {
    },
  • "cost": "string",
  • "chargeDate": "2019-08-24",
  • "taxable": true,
  • "voided": true,
  • "status": {
    },
  • "invoice": {
    },
  • "accounts": [
    ],
  • "archived": true
}

Response samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "resident": {
    },
  • "type": {
    },
  • "description": "string",
  • "code": {
    },
  • "term": {
    },
  • "cost": "string",
  • "chargeDate": "2019-08-24",
  • "taxable": true,
  • "voided": true,
  • "status": {
    },
  • "invoice": {
    },
  • "accounts": [
    ],
  • "archived": true
}

List Charge Pick Values

Returns list of pick values for the given field.

Authorizations:
basicAuth
path Parameters
field
required
string

Name of field with pick values for Charge

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Contracts

View contract records (read-only)

List Contracts

Returns a list of contracts.

Authorizations:
basicAuth
query Parameters
keyword
string

Search by resident schoolStudentId and fullname

page
integer
Default: 1

Page number of the collection

perPage
integer <= 500
Default: 20

Maximum number of records to return, up to 500

sort
string

Name of field to sort by in ascending order. Prepend ! to field name for descending sort.

customFields
integer
Enum: 0 1

When set to 1, returns custom field/values in addition to standard fields

contractName
string

Filter results by the contractSetup label field

term
string

Filter results by the contractSetup terms field (searches on both term label and code)

Responses

Response samples

Content type
application/json
{
  • "page": 1,
  • "perPage": 20,
  • "total": 100,
  • "className": "string",
  • "models": [
    ]
}

Get Contract

Return information for a single contract.

Authorizations:
basicAuth
path Parameters
id
required
string

ID of the requested contract

Responses

Response samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "resident": {
    },
  • "source": "string",
  • "sourceName": "string",
  • "contractSetup": {
    },
  • "modifiedDate": "2019-08-24",
  • "status": "string",
  • "archived": true
}

Key Assignments

View key assignment records (read-only)

List Key Assignments

Returns a list of key assignments.

Authorizations:
basicAuth
query Parameters
keyword
string

Search by resident schoolStudentId/username/fullname or key label/keyID

page
integer
Default: 1

Page number of the collection

perPage
integer <= 500
Default: 20

Maximum number of records to return, up to 500

sort
string

Name of field to sort by in ascending order. Prepend ! to field name for descending sort.

instanceName
string

Filter results by the keyInstance instanceName field

key
string

Filter results by the key field (searches on both label and keyID)

status
string

Filter results by the status label field

Responses

Response samples

Content type
application/json
{
  • "page": 1,
  • "perPage": 20,
  • "total": 100,
  • "className": "string",
  • "models": [
    ]
}

Get Key Assignment

Return information for a single key assignment.

Authorizations:
basicAuth
path Parameters
id
required
string

ID of the requested key assignment

Responses

Response samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "resident": {
    },
  • "keyInstance": {
    },
  • "assignedDate": "2019-08-24",
  • "returnedDate": "2019-08-24",
  • "status": {
    },
  • "archived": true,
  • "modified": "2019-08-24"
}

Meal Assignments

Manage meal assignment records

List Meal Assignments

Returns a list of meal assignments.

Authorizations:
basicAuth
query Parameters
keyword
string

Search by resident schoolStudentId/username/fullname, term name/code, or meal plan name/code

page
integer
Default: 1

Page number of the collection

perPage
integer <= 500
Default: 20

Maximum number of records to return, up to 500

sort
string

Name of field to sort by in ascending order. Prepend ! to field name for descending sort.

Responses

Response samples

Content type
application/json
{
  • "page": 1,
  • "perPage": 20,
  • "total": 100,
  • "className": "string",
  • "models": [
    ]
}

Create Meal Assignment

Create a new meal assignment.

Authorizations:
basicAuth
Request Body schema: application/json
required
id
string
label
string
object (CodeRelationObject)

Represents a coded relation. On GET, returns id, label, and code. On POST/PUT, pass an object with the id key: {"id": "abc123"}

object (PickValue)

Represents a picklist selection. On GET, returns id and label. On POST/PUT, pass only the id as a plain string (not an object). Example write: "pending" (not {"id": "pending"})

startDate
string <date>
endDate
string <date>
object (CodeRelationObject)

Represents a coded relation. On GET, returns id, label, and code. On POST/PUT, pass an object with the id key: {"id": "abc123"}

object (PickValue)

Represents a picklist selection. On GET, returns id and label. On POST/PUT, pass only the id as a plain string (not an object). Example write: "pending" (not {"id": "pending"})

object (ResidentRelationObject)
archived
boolean
modified
string <date>

Responses

Request samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "term": {
    },
  • "status": {
    },
  • "startDate": "2019-08-24",
  • "endDate": "2019-08-24",
  • "mealPlan": {
    },
  • "mealPlanAssignmentStatus": {
    },
  • "resident": {
    },
  • "archived": true,
  • "modified": "2019-08-24"
}

Response samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "term": {
    },
  • "status": {
    },
  • "startDate": "2019-08-24",
  • "endDate": "2019-08-24",
  • "mealPlan": {
    },
  • "mealPlanAssignmentStatus": {
    },
  • "resident": {
    },
  • "archived": true,
  • "modified": "2019-08-24"
}

Get Meal Assignment

Return information for a single meal assignment.

Authorizations:
basicAuth
path Parameters
id
required
string

ID of the requested meal assignment

Responses

Response samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "term": {
    },
  • "status": {
    },
  • "startDate": "2019-08-24",
  • "endDate": "2019-08-24",
  • "mealPlan": {
    },
  • "mealPlanAssignmentStatus": {
    },
  • "resident": {
    },
  • "archived": true,
  • "modified": "2019-08-24"
}

Update Meal Assignment

Update an existing meal assignment.

Authorizations:
basicAuth
path Parameters
id
required
string

ID of the meal assignment to update

Request Body schema: application/json
required
id
string
label
string
object (CodeRelationObject)

Represents a coded relation. On GET, returns id, label, and code. On POST/PUT, pass an object with the id key: {"id": "abc123"}

object (PickValue)

Represents a picklist selection. On GET, returns id and label. On POST/PUT, pass only the id as a plain string (not an object). Example write: "pending" (not {"id": "pending"})

startDate
string <date>
endDate
string <date>
object (CodeRelationObject)

Represents a coded relation. On GET, returns id, label, and code. On POST/PUT, pass an object with the id key: {"id": "abc123"}

object (PickValue)

Represents a picklist selection. On GET, returns id and label. On POST/PUT, pass only the id as a plain string (not an object). Example write: "pending" (not {"id": "pending"})

object (ResidentRelationObject)
archived
boolean
modified
string <date>

Responses

Request samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "term": {
    },
  • "status": {
    },
  • "startDate": "2019-08-24",
  • "endDate": "2019-08-24",
  • "mealPlan": {
    },
  • "mealPlanAssignmentStatus": {
    },
  • "resident": {
    },
  • "archived": true,
  • "modified": "2019-08-24"
}

Response samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "term": {
    },
  • "status": {
    },
  • "startDate": "2019-08-24",
  • "endDate": "2019-08-24",
  • "mealPlan": {
    },
  • "mealPlanAssignmentStatus": {
    },
  • "resident": {
    },
  • "archived": true,
  • "modified": "2019-08-24"
}

List Meal Assignment Pick Values

Returns list of pick values for the given field.

Authorizations:
basicAuth
path Parameters
field
required
string

Name of field with pick values for Meal Assignment

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Residents

Manage resident records

List Residents

Returns a list of residents.

Authorizations:
basicAuth
query Parameters
keyword
string

Search by schoolStudentId, username, name, email, title, cell, or phone

page
integer
Default: 1

Page number of the collection

perPage
integer <= 500
Default: 20

Maximum number of records to return, up to 500

sort
string

Name of field to sort by in ascending order. Prepend ! to field name for descending sort.

customFields
integer
Enum: 0 1

When set to 1, returns custom field/values in addition to standard fields

unstartedApplication
string

Filters results to residents who have an unstarted application matching the specified application name. Use 'any' to get residents who have any unstarted application.

Responses

Response samples

Content type
application/json
{
  • "page": 1,
  • "perPage": 20,
  • "total": 100,
  • "className": "string",
  • "models": [
    ]
}

Create Resident

Create a new resident.

Authorizations:
basicAuth
Request Body schema: application/json
required
id
string
label
string
schoolStudentId
required
string
lname
string
fname
string
miname
string
email
string
username
required
string
object (PickValue)

Represents a picklist selection. On GET, returns id and label. On POST/PUT, pass only the id as a plain string (not an object). Example write: "pending" (not {"id": "pending"})

phone
string
cell
string
title
string
object (PickValue)

Represents a picklist selection. On GET, returns id and label. On POST/PUT, pass only the id as a plain string (not an object). Example write: "pending" (not {"id": "pending"})

Array of objects (PickValue)
dateOfBirth
string <date>
age
integer
object (PickValue)

Represents a picklist selection. On GET, returns id and label. On POST/PUT, pass only the id as a plain string (not an object). Example write: "pending" (not {"id": "pending"})

object (PickValue)

Represents a picklist selection. On GET, returns id and label. On POST/PUT, pass only the id as a plain string (not an object). Example write: "pending" (not {"id": "pending"})

object (PickValue)

Represents a picklist selection. On GET, returns id and label. On POST/PUT, pass only the id as a plain string (not an object). Example write: "pending" (not {"id": "pending"})

Array of objects (PickValue)
Array of objects (AddressRelationObject)
credits
number
gpa
number
enrollmentDate
string <date>
gradDate
string <date>
Array of objects (PickValue)
Array of objects (ApplicationRelationObject)
judicialFlag
boolean
archived
boolean

Responses

Request samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "schoolStudentId": "string",
  • "lname": "string",
  • "fname": "string",
  • "miname": "string",
  • "email": "string",
  • "username": "string",
  • "gender": {
    },
  • "phone": "string",
  • "cell": "string",
  • "title": "string",
  • "classYear": {
    },
  • "majors": [
    ],
  • "dateOfBirth": "2019-08-24",
  • "age": 0,
  • "studentType": {
    },
  • "studentStatus": {
    },
  • "matriculation": {
    },
  • "ethnicity": [
    ],
  • "addresses": [
    ],
  • "credits": 0,
  • "gpa": 0,
  • "enrollmentDate": "2019-08-24",
  • "gradDate": "2019-08-24",
  • "residencyTypes": [
    ],
  • "applications": [
    ],
  • "judicialFlag": true,
  • "archived": true
}

Response samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "schoolStudentId": "string",
  • "lname": "string",
  • "fname": "string",
  • "miname": "string",
  • "email": "string",
  • "username": "string",
  • "gender": {
    },
  • "phone": "string",
  • "cell": "string",
  • "title": "string",
  • "classYear": {
    },
  • "majors": [
    ],
  • "dateOfBirth": "2019-08-24",
  • "age": 0,
  • "studentType": {
    },
  • "studentStatus": {
    },
  • "matriculation": {
    },
  • "ethnicity": [
    ],
  • "addresses": [
    ],
  • "credits": 0,
  • "gpa": 0,
  • "enrollmentDate": "2019-08-24",
  • "gradDate": "2019-08-24",
  • "residencyTypes": [
    ],
  • "applications": [
    ],
  • "judicialFlag": true,
  • "archived": true
}

Get Resident

Return information for a single resident.

Authorizations:
basicAuth
path Parameters
id
required
string

ID of the requested resident

Responses

Response samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "schoolStudentId": "string",
  • "lname": "string",
  • "fname": "string",
  • "miname": "string",
  • "email": "string",
  • "username": "string",
  • "gender": {
    },
  • "phone": "string",
  • "cell": "string",
  • "title": "string",
  • "classYear": {
    },
  • "majors": [
    ],
  • "dateOfBirth": "2019-08-24",
  • "age": 0,
  • "studentType": {
    },
  • "studentStatus": {
    },
  • "matriculation": {
    },
  • "ethnicity": [
    ],
  • "addresses": [
    ],
  • "credits": 0,
  • "gpa": 0,
  • "enrollmentDate": "2019-08-24",
  • "gradDate": "2019-08-24",
  • "residencyTypes": [
    ],
  • "applications": [
    ],
  • "judicialFlag": true,
  • "archived": true
}

Update Resident

Update an existing resident.

Authorizations:
basicAuth
path Parameters
id
required
string

ID of the resident to update

Request Body schema: application/json
required
id
string
label
string
schoolStudentId
required
string
lname
string
fname
string
miname
string
email
string
username
required
string
object (PickValue)

Represents a picklist selection. On GET, returns id and label. On POST/PUT, pass only the id as a plain string (not an object). Example write: "pending" (not {"id": "pending"})

phone
string
cell
string
title
string
object (PickValue)

Represents a picklist selection. On GET, returns id and label. On POST/PUT, pass only the id as a plain string (not an object). Example write: "pending" (not {"id": "pending"})

Array of objects (PickValue)
dateOfBirth
string <date>
age
integer
object (PickValue)

Represents a picklist selection. On GET, returns id and label. On POST/PUT, pass only the id as a plain string (not an object). Example write: "pending" (not {"id": "pending"})

object (PickValue)

Represents a picklist selection. On GET, returns id and label. On POST/PUT, pass only the id as a plain string (not an object). Example write: "pending" (not {"id": "pending"})

object (PickValue)

Represents a picklist selection. On GET, returns id and label. On POST/PUT, pass only the id as a plain string (not an object). Example write: "pending" (not {"id": "pending"})

Array of objects (PickValue)
Array of objects (AddressRelationObject)
credits
number
gpa
number
enrollmentDate
string <date>
gradDate
string <date>
Array of objects (PickValue)
Array of objects (ApplicationRelationObject)
judicialFlag
boolean
archived
boolean

Responses

Request samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "schoolStudentId": "string",
  • "lname": "string",
  • "fname": "string",
  • "miname": "string",
  • "email": "string",
  • "username": "string",
  • "gender": {
    },
  • "phone": "string",
  • "cell": "string",
  • "title": "string",
  • "classYear": {
    },
  • "majors": [
    ],
  • "dateOfBirth": "2019-08-24",
  • "age": 0,
  • "studentType": {
    },
  • "studentStatus": {
    },
  • "matriculation": {
    },
  • "ethnicity": [
    ],
  • "addresses": [
    ],
  • "credits": 0,
  • "gpa": 0,
  • "enrollmentDate": "2019-08-24",
  • "gradDate": "2019-08-24",
  • "residencyTypes": [
    ],
  • "applications": [
    ],
  • "judicialFlag": true,
  • "archived": true
}

Response samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "schoolStudentId": "string",
  • "lname": "string",
  • "fname": "string",
  • "miname": "string",
  • "email": "string",
  • "username": "string",
  • "gender": {
    },
  • "phone": "string",
  • "cell": "string",
  • "title": "string",
  • "classYear": {
    },
  • "majors": [
    ],
  • "dateOfBirth": "2019-08-24",
  • "age": 0,
  • "studentType": {
    },
  • "studentStatus": {
    },
  • "matriculation": {
    },
  • "ethnicity": [
    ],
  • "addresses": [
    ],
  • "credits": 0,
  • "gpa": 0,
  • "enrollmentDate": "2019-08-24",
  • "gradDate": "2019-08-24",
  • "residencyTypes": [
    ],
  • "applications": [
    ],
  • "judicialFlag": true,
  • "archived": true
}

Delete Resident

Delete an existing resident.

Authorizations:
basicAuth
path Parameters
id
required
string

ID of the resident to delete

Responses

List Resident Pick Values

Returns list of pick values for the given field.

Authorizations:
basicAuth
path Parameters
field
required
string

Name of field with pick values for Resident

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Residency Types

Manage residency type records

List Residency Types

Returns a list of residency types.

Authorizations:
basicAuth
query Parameters
page
integer
Default: 1

Page number of the collection

perPage
integer <= 500
Default: 20

Maximum number of records to return, up to 500

Responses

Response samples

Content type
application/json
{
  • "page": 1,
  • "perPage": 20,
  • "total": 100,
  • "className": "string",
  • "models": [
    ]
}

Create Residency Type

Create a new residency type.

Authorizations:
basicAuth
Request Body schema: application/json
required
id
string
label
string
object (RelationObject)

Represents a relation to another resource. On GET, returns expanded object. On POST/PUT, pass an object with the id key: {"id": "abc123"}

object (ResidentRelationObject)
object (PickValue)

Represents a picklist selection. On GET, returns id and label. On POST/PUT, pass only the id as a plain string (not an object). Example write: "pending" (not {"id": "pending"})

studyAbroad
boolean

Responses

Request samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "term": {
    },
  • "resident": {
    },
  • "type": {
    },
  • "studyAbroad": true
}

Response samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "term": {
    },
  • "resident": {
    },
  • "type": {
    },
  • "studyAbroad": true
}

Get Residency Type

Return information for a single residency type.

Authorizations:
basicAuth
path Parameters
id
required
string

ID of the requested residency type

Responses

Response samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "term": {
    },
  • "resident": {
    },
  • "type": {
    },
  • "studyAbroad": true
}

Update Residency Type

Update an existing residency type.

Authorizations:
basicAuth
path Parameters
id
required
string

ID of the residency type to update

Request Body schema: application/json
required
id
string
label
string
object (RelationObject)

Represents a relation to another resource. On GET, returns expanded object. On POST/PUT, pass an object with the id key: {"id": "abc123"}

object (ResidentRelationObject)
object (PickValue)

Represents a picklist selection. On GET, returns id and label. On POST/PUT, pass only the id as a plain string (not an object). Example write: "pending" (not {"id": "pending"})

studyAbroad
boolean

Responses

Request samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "term": {
    },
  • "resident": {
    },
  • "type": {
    },
  • "studyAbroad": true
}

Response samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "term": {
    },
  • "resident": {
    },
  • "type": {
    },
  • "studyAbroad": true
}

List Residency Type Pick Values

Returns list of pick values for the given field.

Authorizations:
basicAuth
path Parameters
field
required
string

Name of field with pick values for Residency Type

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Room Collections

Manage room collection records

List Room Collections

Returns a list of room collections.

Authorizations:
basicAuth
query Parameters
page
integer
Default: 1

Page number of the collection

perPage
integer <= 500
Default: 20

Maximum number of records to return, up to 500

Responses

Response samples

Content type
application/json
{
  • "page": 1,
  • "perPage": 20,
  • "total": 100,
  • "className": "string",
  • "models": [
    ]
}

Create Room Collection

Create a new room collection.

Authorizations:
basicAuth
Request Body schema: application/json
required
id
string
label
string

Name/label of the room collection

description
string
enabled
boolean
roomSelectionDisplay
boolean

Whether to show on room selection

Responses

Request samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "description": "string",
  • "enabled": true,
  • "roomSelectionDisplay": true
}

Response samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "description": "string",
  • "enabled": true,
  • "roomSelectionDisplay": true
}

Get Room Collection

Return information for a single room collection.

Authorizations:
basicAuth
path Parameters
id
required
string

ID of the requested room collection

Responses

Response samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "description": "string",
  • "enabled": true,
  • "roomSelectionDisplay": true
}

Update Room Collection

Update an existing room collection.

Authorizations:
basicAuth
path Parameters
id
required
string

ID of the room collection to update

Request Body schema: application/json
required
id
string
label
string

Name/label of the room collection

description
string
enabled
boolean
roomSelectionDisplay
boolean

Whether to show on room selection

Responses

Request samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "description": "string",
  • "enabled": true,
  • "roomSelectionDisplay": true
}

Response samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "description": "string",
  • "enabled": true,
  • "roomSelectionDisplay": true
}

Rooms

View room records (read-only)

List Rooms

Returns a list of rooms.

Authorizations:
basicAuth
query Parameters
keyword
string

Search by room number, apartment name, floor level, or building name/code

page
integer
Default: 1

Page number of the collection

perPage
integer <= 500
Default: 20

Maximum number of records to return, up to 500

sort
string

Name of field to sort by in ascending order. Prepend ! to field name for descending sort.

customFields
integer
Enum: 0 1

When set to 1, returns custom field/values in addition to standard fields

Responses

Response samples

Content type
application/json
{
  • "page": 1,
  • "perPage": 20,
  • "total": 100,
  • "className": "string",
  • "models": [
    ]
}

Get Room

Return information for a single room.

Authorizations:
basicAuth
path Parameters
id
required
string

ID of the requested room

Responses

Response samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "number": "string",
  • "slots": [
    ],
  • "gender": {
    },
  • "genderOverrides": [
    ]
}

List Room Pick Values

Returns list of pick values for the given field.

Authorizations:
basicAuth
path Parameters
field
required
string

Name of field with pick values for Room

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Room Assignments

Manage room assignment records

List Room Assignments

Returns a list of room assignments.

Authorizations:
basicAuth
query Parameters
keyword
string

Search by resident schoolStudentId/username/fullname, term name/code, building name, or room number

page
integer
Default: 1

Page number of the collection

perPage
integer <= 500
Default: 20

Maximum number of records to return, up to 500

sort
string

Name of field to sort by in ascending order. Prepend ! to field name for descending sort.

customFields
integer
Enum: 0 1

When set to 1, returns custom field/values in addition to standard fields

Responses

Response samples

Content type
application/json
{
  • "page": 1,
  • "perPage": 20,
  • "total": 100,
  • "className": "string",
  • "models": [
    ]
}

Create Room Assignment

Create a new room assignment.

Authorizations:
basicAuth
Request Body schema: application/json
required
id
string
label
string
object (CodeRelationObject)

Represents a coded relation. On GET, returns id, label, and code. On POST/PUT, pass an object with the id key: {"id": "abc123"}

object (PickValue)

Represents a picklist selection. On GET, returns id and label. On POST/PUT, pass only the id as a plain string (not an object). Example write: "pending" (not {"id": "pending"})

moveInDate
string <date>
moveOutDate
string <date>
object (Slot)
object (CodeRelationObject)

Represents a coded relation. On GET, returns id, label, and code. On POST/PUT, pass an object with the id key: {"id": "abc123"}

object (PickValue)

Represents a picklist selection. On GET, returns id and label. On POST/PUT, pass only the id as a plain string (not an object). Example write: "pending" (not {"id": "pending"})

object (PickValue)

Represents a picklist selection. On GET, returns id and label. On POST/PUT, pass only the id as a plain string (not an object). Example write: "pending" (not {"id": "pending"})

cancelledDate
string <date>
object (PickValue)

Represents a picklist selection. On GET, returns id and label. On POST/PUT, pass only the id as a plain string (not an object). Example write: "pending" (not {"id": "pending"})

object (ResidentRelationObject)
archived
boolean
modified
string <date>

Responses

Request samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "term": {
    },
  • "status": {
    },
  • "moveInDate": "2019-08-24",
  • "moveOutDate": "2019-08-24",
  • "roomSelection": {
    },
  • "rateCode": {
    },
  • "roomAssignmentStatus": {
    },
  • "customStatus": {
    },
  • "cancelledDate": "2019-08-24",
  • "cancelledReason": {
    },
  • "resident": {
    },
  • "archived": true,
  • "modified": "2019-08-24"
}

Response samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "term": {
    },
  • "status": {
    },
  • "moveInDate": "2019-08-24",
  • "moveOutDate": "2019-08-24",
  • "roomSelection": {
    },
  • "rateCode": {
    },
  • "roomAssignmentStatus": {
    },
  • "customStatus": {
    },
  • "cancelledDate": "2019-08-24",
  • "cancelledReason": {
    },
  • "resident": {
    },
  • "archived": true,
  • "modified": "2019-08-24"
}

Get Room Assignment

Return information for a single room assignment.

Authorizations:
basicAuth
path Parameters
id
required
string

ID of the requested room assignment

Responses

Response samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "term": {
    },
  • "status": {
    },
  • "moveInDate": "2019-08-24",
  • "moveOutDate": "2019-08-24",
  • "roomSelection": {
    },
  • "rateCode": {
    },
  • "roomAssignmentStatus": {
    },
  • "customStatus": {
    },
  • "cancelledDate": "2019-08-24",
  • "cancelledReason": {
    },
  • "resident": {
    },
  • "archived": true,
  • "modified": "2019-08-24"
}

Update Room Assignment

Update an existing room assignment.

Authorizations:
basicAuth
path Parameters
id
required
string

ID of the room assignment to update

Request Body schema: application/json
required
id
string
label
string
object (CodeRelationObject)

Represents a coded relation. On GET, returns id, label, and code. On POST/PUT, pass an object with the id key: {"id": "abc123"}

object (PickValue)

Represents a picklist selection. On GET, returns id and label. On POST/PUT, pass only the id as a plain string (not an object). Example write: "pending" (not {"id": "pending"})

moveInDate
string <date>
moveOutDate
string <date>
object (Slot)
object (CodeRelationObject)

Represents a coded relation. On GET, returns id, label, and code. On POST/PUT, pass an object with the id key: {"id": "abc123"}

object (PickValue)

Represents a picklist selection. On GET, returns id and label. On POST/PUT, pass only the id as a plain string (not an object). Example write: "pending" (not {"id": "pending"})

object (PickValue)

Represents a picklist selection. On GET, returns id and label. On POST/PUT, pass only the id as a plain string (not an object). Example write: "pending" (not {"id": "pending"})

cancelledDate
string <date>
object (PickValue)

Represents a picklist selection. On GET, returns id and label. On POST/PUT, pass only the id as a plain string (not an object). Example write: "pending" (not {"id": "pending"})

object (ResidentRelationObject)
archived
boolean
modified
string <date>

Responses

Request samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "term": {
    },
  • "status": {
    },
  • "moveInDate": "2019-08-24",
  • "moveOutDate": "2019-08-24",
  • "roomSelection": {
    },
  • "rateCode": {
    },
  • "roomAssignmentStatus": {
    },
  • "customStatus": {
    },
  • "cancelledDate": "2019-08-24",
  • "cancelledReason": {
    },
  • "resident": {
    },
  • "archived": true,
  • "modified": "2019-08-24"
}

Response samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "term": {
    },
  • "status": {
    },
  • "moveInDate": "2019-08-24",
  • "moveOutDate": "2019-08-24",
  • "roomSelection": {
    },
  • "rateCode": {
    },
  • "roomAssignmentStatus": {
    },
  • "customStatus": {
    },
  • "cancelledDate": "2019-08-24",
  • "cancelledReason": {
    },
  • "resident": {
    },
  • "archived": true,
  • "modified": "2019-08-24"
}

List Room Assignment Pick Values

Returns list of pick values for the given field.

Authorizations:
basicAuth
path Parameters
field
required
string

Name of field with pick values for Room Assignment

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Slots

View slot records (read-only)

List Slots

Returns a list of slots.

Authorizations:
basicAuth
query Parameters
keyword
string

Search by slotName, room number, apartment name, floor level, or building name/code

page
integer
Default: 1

Page number of the collection

perPage
integer <= 500
Default: 20

Maximum number of records to return, up to 500

sort
string

Name of field to sort by in ascending order. Prepend ! to field name for descending sort.

Responses

Response samples

Content type
application/json
{
  • "page": 1,
  • "perPage": 20,
  • "total": 100,
  • "className": "string",
  • "models": [
    ]
}

Get Slot

Return information for a single room slot.

Authorizations:
basicAuth
path Parameters
id
required
string

ID of the requested slot

Responses

Response samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "building": {
    },
  • "floor": {
    },
  • "apartment": {
    },
  • "room": {
    },
  • "slotName": "string"
}

Terms

Manage term records

List Terms

Returns a list of terms.

Authorizations:
basicAuth
query Parameters
keyword
string

Search by name or code

page
integer
Default: 1

Page number of the collection

perPage
integer <= 500
Default: 20

Maximum number of records to return, up to 500

sort
string

Name of field to sort by in ascending order. Prepend ! to field name for descending sort.

Responses

Response samples

Content type
application/json
{
  • "page": 1,
  • "perPage": 20,
  • "total": 100,
  • "className": "string",
  • "models": [
    ]
}

Create Term

Create a new term.

Authorizations:
basicAuth
Request Body schema: application/json
required
id
string
label
string
name
required
string
code
required
string
startDate
string <date>
endDate
string <date>
earlyMoveInDate
string <date>
exportStart
string <date>
exportEnd
string <date>
required
object (PickValue)

Represents a picklist selection. On GET, returns id and label. On POST/PUT, pass only the id as a plain string (not an object). Example write: "pending" (not {"id": "pending"})

Responses

Request samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "name": "string",
  • "code": "string",
  • "startDate": "2019-08-24",
  • "endDate": "2019-08-24",
  • "earlyMoveInDate": "2019-08-24",
  • "exportStart": "2019-08-24",
  • "exportEnd": "2019-08-24",
  • "billingType": {
    }
}

Response samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "name": "string",
  • "code": "string",
  • "startDate": "2019-08-24",
  • "endDate": "2019-08-24",
  • "earlyMoveInDate": "2019-08-24",
  • "exportStart": "2019-08-24",
  • "exportEnd": "2019-08-24",
  • "billingType": {
    }
}

Get Term

Return information for a single term.

Authorizations:
basicAuth
path Parameters
id
required
string

ID of the requested term

Responses

Response samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "name": "string",
  • "code": "string",
  • "startDate": "2019-08-24",
  • "endDate": "2019-08-24",
  • "earlyMoveInDate": "2019-08-24",
  • "exportStart": "2019-08-24",
  • "exportEnd": "2019-08-24",
  • "billingType": {
    }
}

Update Term

Update an existing term.

Authorizations:
basicAuth
path Parameters
id
required
string

ID of the term to update

Request Body schema: application/json
required
id
string
label
string
name
required
string
code
required
string
startDate
string <date>
endDate
string <date>
earlyMoveInDate
string <date>
exportStart
string <date>
exportEnd
string <date>
required
object (PickValue)

Represents a picklist selection. On GET, returns id and label. On POST/PUT, pass only the id as a plain string (not an object). Example write: "pending" (not {"id": "pending"})

Responses

Request samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "name": "string",
  • "code": "string",
  • "startDate": "2019-08-24",
  • "endDate": "2019-08-24",
  • "earlyMoveInDate": "2019-08-24",
  • "exportStart": "2019-08-24",
  • "exportEnd": "2019-08-24",
  • "billingType": {
    }
}

Response samples

Content type
application/json
{
  • "id": "abc123",
  • "label": "string",
  • "name": "string",
  • "code": "string",
  • "startDate": "2019-08-24",
  • "endDate": "2019-08-24",
  • "earlyMoveInDate": "2019-08-24",
  • "exportStart": "2019-08-24",
  • "exportEnd": "2019-08-24",
  • "billingType": {
    }
}

List Term Pick Values

Returns list of pick values for the given field (e.g. billingType).

Authorizations:
basicAuth
path Parameters
field
required
string

Name of field with pick values for Term

Responses

Response samples

Content type
application/json
[
  • {
    }
]